GIFCLRMP(1)

NAME
gifclrmp - extract colormaps from GIF images

SYNOPSIS

gifclrmp [-v] [-s] [-l mapfile] [-t trans] [-g gamma] [-i image] [-h] [gif-file]

DESCRIPTION

A program to modify GIF image colormaps. Any local colormap in a GIF file can be modified at a time, or the global screen one.

OPTIONS

-v
    Verbose mode (show progress). Enables printout of running scan lines.

-s
    Select the global screen color map.

-l mapfile
    Load color map from this file instead of selected color map.

-t trans
    Change color index values. The change is made to both the selected color table and the raster bits of the selected image. A translation file is a list of pairs of `before' and `after' index values. At present, the `before' index values must be in ascending order starting from 0.

-g gamma
    Apply gamma correction to selected color map.

-i image
    Select the color map of the numbered image.

-h
    Print one command line help, similar to Usage above.

If no GIF file is given, gifclip will try to read a GIF file from stdin.

NOTES

    • The default operation is to dump out the selected color map in text format.

    • The file to load/dump is simply one color map entry per line. Each such entry line has four integers: "ColorIndex Red Green Blue", where color index is in ascending order starting from 1.

AUTHOR

Gershon Elber.